# $Revision: 1.6 $, $Date: 2004/03/06 09:00:56 $
Summary:	Nettle - a cryptographic library
Summary(pl):	Nettle - biblioteka kryptograficzna
Name:		nettle
Version:	1.10
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.lysator.liu.se/pub/security/lsh/%{name}-%{version}.tar.gz
# Source0-md5:	4a29d2b254e661b6469dc510c02e9f02
Patch0:		%{name}-info.patch
URL:		http://www.lysator.liu.se/~nisse/lsh/
BuildRequires:	gmp-devel
BuildRequires:	m4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nettle is a cryptographic library that is designed to fit easily in
more or less any context: In crypto toolkits for object-oriented
languages (C++, Python, Pike, ...), in applications like LSH or GNUPG,
or even in kernel space. Nettle does only one thing, the low-level
crypto stuff, providing simple but general interface to it. In
particular, Nettle doesn't do algorithm selection. It doesn't do
memory allocation. It doesn't do any I/O. All these is up to
application.

%description -l pl
Nettle to biblioteka kryptograficzna zaprojektowana tak, aby atwo
dao si jej uy w prawie kadej sytuacji: w narzdziach
kryptograficznych dla jzykw zorientowanych obiektowo (C++, Python,
Pike...), w aplikacjach typu LSH czy GNUPG, a nawet w przestrzeni
jdra. Nettle robi tylko jedn rzecz - niskopoziomow kryptografi,
udostpniajc do tego prosty, ale oglny interfejs. Nettle nie
dokonuje adnego wyboru algorytmu, przydzielania pamici, czy operacji
we/wy - pozostawia to aplikacji.

%package devel
Summary:	Header files for nettle library
Summary(pl):	Pliki nagwkowe biblioteki nettle
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for nettle library.

%description devel -l pl
Pliki nagwkowe biblioteki nettle.

%package static
Summary:	Static nettle library
Summary(pl):	Statyczna biblioteka nettle
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static nettle library.

%description static -l pl
Statyczna biblioteka nettle.

%prep
%setup -q
%patch -p1

%build
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/nettle
%{_infodir}/*.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nettle.spec,v $
Revision 1.6  2004/03/06 09:00:56  qboosh
- updated to 1.10

Revision 1.5  2004/02/09 19:39:58  eothane
- updated to 1.9

Revision 1.4  2004/01/13 23:45:06  qboosh
- updated to 1.8

Revision 1.3  2003/05/28 12:59:52  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:51:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/04 21:12:48  qboosh
- new
